# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 's3search/version'

Gem::Specification.new do |gem|
  gem.name          = "s3search"
  gem.version       = S3Search::VERSION
  gem.authors       = ["Chris Aitchison"]
  gem.email         = ["chris.aitchison@sodalis.com.au"]
  gem.description   = %q{Ruby implementation of the S3Search API}
  gem.summary       = %q{S3Search Ruby API}
  gem.homepage      = "https://github.com/sodalis/s3search-ruby"
  gem.license       = "MIT"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(spec|integration)/})
  gem.require_paths = ["lib"]

  gem.add_dependency 'activesupport', ">= 3.0.0"
  gem.add_dependency('faraday', '~> 0.8')
  gem.add_dependency('faraday_middleware', '~> 0.9.0')
  gem.add_dependency('excon', '>= 0.16')
  gem.add_dependency('hashie', '~> 1.2.0')

  gem.add_development_dependency "bundler", "~> 1.3"
  gem.add_development_dependency "rake"
end
